Change logs for lightdm-gtk-greeter source package in Hirsute

  • lightdm-gtk-greeter (2.0.8-2ubuntu1) hirsute; urgency=low
    
      * Merge from Debian unstable. Remaining changes:
        - debian/{01_ubuntu.conf,60-lightdm-gtk-greeter.conf,rules} add and
          install.
        - debian/control:
          + Build-Depends on liblightdm-gobject-1-dev instead on
            liblightdm-gobject-dev as it's non-existing in archive.
          + Install desktop-base as a suggestion, not as a recommendation
            (LP: #1669818)
          + Remove Breaks/Replaces on older budgie-lightdm-theme, lightdm,
            and lightdm-gtk packages
        - debian/copyright: update copyright for lightdm-gtk-greeter.
        - debian/patches/git_indicators_loading.patch,
          debian/patches/git_libexec_atspi.patch,
          debian/patches/git_new_systemd.patch:
          + Dropped, included upstream.
        - debian/lightdm-gtk-greeter.{maintscript,postinst,postrm,preinst}:
          + No longer remove obsolete ubuntu conf files, files should
            be gone after wily.
    
     -- Sean Davis <email address hidden>  Wed, 06 Jan 2021 04:50:01 -0800
  • lightdm-gtk-greeter (2.0.6-0ubuntu3) hirsute; urgency=medium
    
      * debian/patches/git_indicators_loading.patch:
        - don't try loading indicators using upstart
      * debian/patches/git_libexec_atspi.patch:
        - use the correct directory for the atspi service
      * debian/patches/git_new_systemd.patch:
        - disable mlockall, it's leading to the greeter hitting memory errors
          using the new systemd version (lp: #1890394)
    
     -- Sebastien Bacher <email address hidden>  Tue, 27 Oct 2020 12:20:30 +0100
  • lightdm-gtk-greeter (2.0.6-0ubuntu1) cosmic; urgency=low
    
      * New upstream stable release.
      * Merge from Debian unstable.  Remaining changes:
        - debian/{01_ubuntu.conf,60-lightdm-gtk-greeter.conf,rules} add and
          install.
        - debian/control:
          + Build-Depends on liblightdm-gobject-1-dev instead on
            liblightdm-gobject-dev as it's non-existing in archive.
          + Add budgie-lightdm-theme to break/replaces due to conflicting
            budgie-desktop greeter icon (LP: #1669818)
          + Install desktop-base as a suggestion, not as a recommendation
            (LP: #1669818)
        - debian/copyright: update copyright for lightdm-gtk-greeter.
        - debian/lightdm-gtk-greeter.{preinst,postinst,postrm}: migrate post-1.0.0
          configuration to conf.d/01_ubuntu.conf.
        - debian/lightdm-gtk-greeter.maintscript: drop obsolete version of Ubuntu
          config from /etc.
        - debian/changelog: Strip trailing whitespace
    
     -- Sean Davis <email address hidden>  Mon, 17 Sep 2018 21:17:10 -0400